Main Page Widgets Namespaces Book

# Gtk::Range Class Reference
[Widgets]

Inheritance diagram for Gtk::Range:

[legend]
List of all members.

## Detailed Description

Base class for widgets which visualize an adjustment.

## Public Member Functions

virtual | ~Range ()
GtkRange* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkRange* | gobj () const
| Provides access to the underlying C GtkObject.
void | set_update_policy (UpdateType policy)
| Sets the update policy for the range.
UpdateType | get_update_policy () const
| Gets the update policy of range .
void | set_adjustment (Gtk::Adjustment& adjustment)
| Sets the adjustment to be used as the "model" object for this range widget.
void | unset_adjustment ()
Gtk::Adjustment* | get_adjustment ()
| Get the Gtk::Adjustment which is the "model" object for Gtk::Range.
const Gtk::Adjustment* | get_adjustment () const
| Get the Gtk::Adjustment which is the "model" object for Gtk::Range.
void | set_inverted (bool setting=true)
| Ranges normally move from lower to higher values as the slider moves from top to bottom or left to right.
bool | get_inverted () const
| Gets the value set by set_inverted().
void | set_increments (double step, double page)
| Sets the step and page sizes for the range.
void | set_range (double min, double max)
| Sets the allowable values in the Gtk::Range, and clamps the range value to be between min and max .
void | set_value (double value)
| Sets the current value of the range; if the value is outside the minimum or maximum range values, it will be clamped to fit inside them.
double | get_value () const
| Gets the current value of the range.
Glib::SignalProxy0<void> | signal_value_changed ()
Glib::SignalProxy1< void, double > | signal_adjust_bounds ()
Glib::SignalProxy1< void, ScrollType > | signal_move_slider ()
Glib::PropertyProxy<UpdateType> | property_update_policy ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< UpdateType > | property_update_policy () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Adjustment*> | property_adjustment ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Adjustment* > | property_adjustment () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_inverted ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_inverted () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Protected Member Functions

virtual void | on_value_changed ()
virtual void | on_adjust_bounds (double new_value)
virtual void | on_move_slider (ScrollType scroll)
| Range ()
virtual void | get_range_border_vfunc (GtkBorder* border) const

## Related Functions

(Note that these are not member functions.)
Gtk::Range* | wrap (GtkRange* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Range::~Range | ( |  | ) | `[virtual]`

Gtk::Range::Range | ( |  | ) | `[protected]`

## Member Function Documentation

const Gtk::Adjustment* Gtk::Range::get_adjustment | ( |  | ) | const

Get the Gtk::Adjustment which is the "model" object for Gtk::Range.

See set_adjustment() for details. The return value does not have a reference added, so should not be unreferenced.

Returns:
  A Gtk::Adjustment.

Gtk::Adjustment* Gtk::Range::get_adjustment | ( |  | ) |

Get the Gtk::Adjustment which is the "model" object for Gtk::Range.

See set_adjustment() for details. The return value does not have a reference added, so should not be unreferenced.

Returns:
  A Gtk::Adjustment.

bool Gtk::Range::get_inverted | ( |  | ) | const

Gets the value set by set_inverted().

Returns:
  `true` if the range is inverted.

virtual void Gtk::Range::get_range_border_vfunc | ( | GtkBorder* | border | ) | const`[protected, virtual]`

UpdateType Gtk::Range::get_update_policy | ( |  | ) | const

Gets the update policy of range .

See set_update_policy().

Returns:
  The current update policy.

double Gtk::Range::get_value | ( |  | ) | const

Gets the current value of the range.

Returns:
  Current value of the range.

const GtkRange* Gtk::Range::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::Scale, Gtk::VScale, Gtk::HScale, Gtk::Scrollbar, Gtk::VScrollbar, and Gtk::HScrollbar.

GtkRange* Gtk::Range::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::Scale, Gtk::VScale, Gtk::HScale, Gtk::Scrollbar, Gtk::VScrollbar, and Gtk::HScrollbar.

virtual void Gtk::Range::on_adjust_bounds | ( | double | new_value | ) | `[protected, virtual]`

virtual void Gtk::Range::on_move_slider | ( | ScrollType | scroll | ) | `[protected, virtual]`

virtual void Gtk::Range::on_value_changed | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Adjustment*> Gtk::Range::property_adjustment | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Adjustment*> Gtk::Range::property_adjustment | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Range::property_inverted | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Range::property_inverted | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<UpdateType> Gtk::Range::property_update_policy | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<UpdateType> Gtk::Range::property_update_policy | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Range::set_adjustment | ( | Gtk::Adjustment& | adjustment | ) |

Sets the adjustment to be used as the "model" object for this range widget.

The adjustment indicates the current range value, the minimum and maximum range values, the step/page increments used for keybindings and scrolling, and the page size. The page size is normally 0 for Gtk::Scale and nonzero for Gtk::Scrollbar, and indicates the size of the visible area of the widget being scrolled. The page size affects the size of the scrollbar slider.

Parameters:

  | adjustment | A Gtk::Adjustment.

void Gtk::Range::set_increments | ( | double | step,
|  | double | page
| ) |

Sets the step and page sizes for the range.

The step size is used when the user clicks the Gtk::Scrollbar arrows or moves Gtk::Scale via arrow keys. The page size is used for example when moving via Page Up or Page Down keys.

Parameters:

  | step | Step size.
  | page | Page size.

void Gtk::Range::set_inverted | ( | bool | setting = `true` | ) |

Ranges normally move from lower to higher values as the slider moves from top to bottom or left to right.

Inverted ranges have higher values at the top or on the right rather than on the bottom or left.

Parameters:

  | setting | `true` to invert the range.

void Gtk::Range::set_range | ( | double | min,
|  | double | max
| ) |

Sets the allowable values in the Gtk::Range, and clamps the range value to be between min and max .

(If the range has a non-zero page size, it is clamped between min and max - page-size.)

Parameters:

  | min | Minimum range value.
  | max | Maximum range value.

void Gtk::Range::set_update_policy | ( | UpdateType | policy | ) |

Sets the update policy for the range.

Gtk::UPDATE_CONTINUOUS means that anytime the range slider is moved, the range value will change and the value_changed signal will be emitted. Gtk::UPDATE_DELAYED means that the value will be updated after a brief timeout where no slider motion occurs, so updates are spaced by a short time rather than continuous. Gtk::UPDATE_DISCONTINUOUS means that the value will only be updated when the user releases the button and ends the slider drag operation.

Parameters:

  | policy | Update policy.

void Gtk::Range::set_value | ( | double | value | ) |

Sets the current value of the range; if the value is outside the minimum or maximum range values, it will be clamped to fit inside them.

The range emits the "value_changed" signal if the value changes.

Parameters:

  | value | New value of the range.

Glib::SignalProxy1<void,double> Gtk::Range::signal_adjust_bounds | ( |  | ) |

Glib::SignalProxy1<void,ScrollType> Gtk::Range::signal_move_slider | ( |  | ) |

Glib::SignalProxy0<void> Gtk::Range::signal_value_changed | ( |  | ) |

void Gtk::Range::unset_adjustment | ( |  | ) |

## Friends And Related Function Documentation

Gtk::Range* wrap | ( | GtkRange* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- range.h